## ccextractor-dmo 0.93

=== debian/changelog ===
ccextractor-dmo (1:0.93-dmo1+deb11u2) stable; urgency=medium

  * Build with libgpac-dev instead of included gpac.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Oct 2021 16:53:13 +0200

ccextractor-dmo (1:0.93-dmo1+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Aug 2021 08:02:19 +0200

ccextractor-dmo (1:0.92-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Aug 2021 07:41:28 +0200

ccextractor-dmo (1:0.91-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Jul 2021 09:49:12 +0200

ccextractor-dmo (1:0.90-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Jul 2021 14:03:38 +0200

ccextractor-dmo (1:0.89+ds1-dmo1) unstable; urgency=medium

  * Remove more unneedded files from upstream source.
  * New patch to not remove debug symbols.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 15 Jun 2021 11:31:07 +0200

ccextractor-dmo (1:0.89-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 09:06:37 +0200

ccextractor-dmo (1:0.88-dmo2) unstable; urgency=medium

  * Add upstream patch to fix build with gcc 10

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jul 2020 07:48:12 +0200

ccextractor-dmo (1:0.88-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 22 May 2019 09:10:58 +0200

ccextractor-dmo (1:0.87-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Oct 2018 15:24:09 +0200

ccextractor-dmo (1:0.86-dmo2) unstable; urgency=medium

  * Use system libfreetype.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Apr 2018 18:16:47 +0200

ccextractor-dmo (1:0.86-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Apr 2018 09:59:17 +0200

ccextractor-dmo (0.85-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Mar 2018 17:25:10 +0100

ccextractor-dmo (0.84-dmo2) unstable; urgency=medium

  * Rebuild against libtesseract4

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Dec 2017 14:33:06 +0100

ccextractor-dmo (0.84-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Dec 2016 08:54:36 +0100

ccextractor-dmo (0.83-dmo1) unstable; urgency=medium

  * New upstream release.
  * Use system libutf8proc library.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Dec 2016 09:10:47 +0100

ccextractor-dmo (0.82-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Aug 2016 08:39:52 +0200

ccextractor-dmo (0.81-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Jun 2016 08:35:35 +0200

ccextractor-dmo (0.80-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Apr 2016 14:58:05 +0200

ccextractor-dmo (0.79-dmo3) unstable; urgency=medium

  * Rebuild against libpng16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Apr 2016 13:44:51 +0200

ccextractor-dmo (0.79-dmo2) unstable; urgency=medium

  * Rebuild against liblept5

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Feb 2016 18:50:42 +0100

ccextractor-dmo (0.79-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Build without ffmpeg support ( See
    https://github.com/CCExtractor/ccextractor/issues/258 )

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Jan 2016 15:54:24 +0100

ccextractor-dmo (0.77-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Jun 2015 08:46:40 +0200

ccextractor-dmo (0.76-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 Mar 2015 16:09:08 +0100

ccextractor-dmo (0.75-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Jan 2015 10:12:27 +0100

ccextractor-dmo (0.74-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Sep 2014 15:48:54 +0200

ccextractor-dmo (0.73-dmo3) unstable; urgency=medium

  * Rebuild against ffmpeg 2.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Sep 2014 01:04:57 +0200

ccextractor-dmo (0.73-dmo2) unstable; urgency=medium

  * Enable ffmpeg support to add support for multiple encapsulator.
  * Enable OCR support with libtesseract.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Aug 2014 08:37:03 +0200

ccextractor-dmo (0.73-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 20 Aug 2014 17:06:41 +0200

ccextractor-dmo (0.72-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Aug 2014 13:16:26 +0200

ccextractor (0.71-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Aug 2014 15:46:13 +0200

ccextractor (0.70-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Aug 2014 18:05:38 +0200

ccextractor (0.69-dmo2) unstable; urgency=medium

  * Use (and modify) the included Makefile in linux directory.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Apr 2014 07:49:42 +0200


