=== debian/control ===
Source: ccextractor-dmo
Section: utils
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://ccextractor.org/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), libpng-dev, quilt, libavfilter-dev,
 libleptonica-dev (>= 1.73~), libtesseract-dev (>= 4.00~), libutf8proc-dev,
 libcurl4-gnutls-dev, libfreetype-dev, libprotobuf-c-dev, pkg-config, libgpac-dev

## GUI
## libglfw3-dev, libglew-dev

Package: ccextractor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast closed captions extractor for MPEG and H264 files
 Supports DVD, HDTV transport streams, Replay TV.
 .
 Use this to create .srt (subtitles) files for your TV captures,
 have transcripts so you can edit subtitles, etc.

#Package: ccextractor-gui
#Architecture: any
#Depends: ccextractor (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, fonts-roboto-hinted
#Description: fast closed captions extractor for MPEG and H264 files
# Supports DVD, HDTV transport streams, Replay TV.
# .
# Use this to create .srt (subtitles) files for your TV captures,
# have transcripts so you can edit subtitles, etc.
# .
# This package contains the graphic user interface.
