=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt -Dlinux

override_dh_autoreconf:
	cd linux && ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
	--enable-hardsubx

#	exit 1

override_dh_clean:
	dh_clean linux/Makefile.in linux/aclocal.m4 linux/build-conf/compile \
	linux/build-conf/depcomp linux/build-conf/install-sh linux/build-conf/missing \
	linux/configure src/lib_ccx/compile_info.h

#	find -name .dirstamp -delete

	rm -rf windows
	rm -rf fonts

	rm -rf src/thirdparty/freetype
	rm -rf src/thirdparty/gpacmp4
	rm -rf src/thirdparty/libpng
	rm -rf src/thirdparty/protobuf-c
	rm -rf src/thirdparty/utf8proc
	rm -rf src/thirdparty/zlib
