## ccextractor-dmo 0.94

=== debian/changelog ===
ccextractor-dmo (1:0.94-dmo9~bpo13+1) trixie-backports; urgency=medium

  * Upload to stable-backports (Build with ffmpeg 8)

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Oct 2025 08:32:18 +0200

ccextractor-dmo (1:0.94-dmo9) unstable; urgency=medium

  * Build with libleptonica6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Oct 2024 08:49:55 +0200

ccextractor-dmo (1:0.94-dmo8) unstable; urgency=medium

  * Build with ffmpeg 7.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 13:41:37 +0200

ccextractor-dmo (1:0.94-dmo7) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2024 11:01:24 +0100

ccextractor-dmo (1:0.94-dmo6) unstable; urgency=medium

  * Build with libutf8proc3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 Oct 2023 01:26:08 +0200

ccextractor-dmo (1:0.94-dmo5) unstable; urgency=medium

  * Add Debian patches to fix build with ffmpeg 6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Aug 2023 09:50:59 +0200

ccextractor-dmo (1:0.94-dmo4) unstable; urgency=medium

  * Build with libgpac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Dec 2022 13:43:32 +0100

ccextractor-dmo (1:0.94-dmo3) unstable; urgency=medium

  * Build with libtesseract5

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Jun 2022 07:26:53 +0200

ccextractor-dmo (1:0.94-dmo2) unstable; urgency=medium

  * Build with libgpac11

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Feb 2022 14:39:16 +0100

ccextractor-dmo (1:0.94-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Dec 2021 12:04:39 +0100

ccextractor-dmo (1:0.93-dmo2) unstable; urgency=medium

  * Build with libgpac-dev instead of included gpac.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Oct 2021 15:34:14 +0200
