=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://ccextractor.org/
-Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), libpng-dev, quilt, libavfilter-dev,
- libleptonica-dev (>= 1.73~), libtesseract-dev (>= 4.00~), libutf8proc-dev,
- libcurl4-gnutls-dev, libfreetype-dev, libprotobuf-c-dev, pkg-config, libgpac-dev
-
-## GUI
-## libglfw3-dev, libglew-dev
+ libleptonica-dev (>= 1.81~), libtesseract-dev (>= 5.3~), libutf8proc-dev (>= 2.9~),
+ libcurl4-gnutls-dev, libfreetype-dev, libprotobuf-c-dev (>= 1.4.1~), pkgconf,
+ libgpac-dev, tesseract-ocr,
 
 Package: ccextractor
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: fast closed captions extractor for MPEG and H264 files
  Supports DVD, HDTV transport streams, Replay TV.
  .
