=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,23 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	--enable-hardsubx
+	--enable-hardsubx \
+	--without-rust
 
 #	exit 1
 
 override_dh_clean:
 	dh_clean linux/Makefile.in linux/aclocal.m4 linux/build-conf/compile \
 	linux/build-conf/depcomp linux/build-conf/install-sh linux/build-conf/missing \
-	linux/configure src/lib_ccx/compile_info.h
+	linux/configure src/lib_ccx/compile_info.h linux/build-conf/config.guess \
+	linux/build-conf/config.sub
 
 #	find -name .dirstamp -delete
 
 	rm -rf windows
 	rm -rf fonts
 
+# Uses system libraries instead.
 	rm -rf src/thirdparty/freetype
 	rm -rf src/thirdparty/gpacmp4
 	rm -rf src/thirdparty/libpng
