=== debian/watch ===
version=4

opts="dversionmangle=s/\+ds\d*$//" \
https://github.com/CCExtractor/ccextractor/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
