=== debian/changelog ===
ccextractor-dmo (1:0.96.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jan 2026 13:13:46 +0100

ccextractor-dmo (1:0.94-dmo10) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Aug 2025 16:36:17 +0200
