=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: ccextractor-dmo
 Section: utils
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://ccextractor.org/
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), libpng-dev, quilt, libavfilter-dev,
- libleptonica-dev (>= 1.81~), libtesseract-dev (>= 5.3~), libutf8proc-dev (>= 2.9~),
- libcurl4-gnutls-dev, libfreetype-dev, libprotobuf-c-dev (>= 1.4.1~), pkgconf,
- libgpac-dev, tesseract-ocr,
+ libleptonica-dev (>= 1.81~), libtesseract-dev (>= 5.3~), libcurl4-gnutls-dev,
+ libutf8proc-dev (>= 2.9~), libfreetype-dev, pkgconf, libavdevice-dev, clang,
+ cargo, libxcb-shm0-dev, libx11-dev, libgpac-dev,
 
 Package: ccextractor
 Architecture: any
