=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,21 @@
 #!/usr/bin/make -f
 
+export CARGO_HOME=/tmp
+
 %:
-	dh $@ --with quilt -Dlinux
-
-override_dh_autoreconf:
-	cd linux && ./autogen.sh
+	dh $@ --with quilt --without dh_autoreconf -Dlinux
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
-	--enable-hardsubx \
-	--without-rust
+
+#	dh_auto_configure -- \
+#	--enable-ocr \
+#	--enable-hardsubx \
+#	--without-rust
 
 #	exit 1
+
+execute_before_dh_auto_build:
+	cd linux && ./build -system-libs -hardsubx
 
 override_dh_clean:
 	dh_clean linux/Makefile.in linux/aclocal.m4 linux/build-conf/compile \
