## ccextractor-dmo 0.96.5

=== OpenBSD/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 CATEGORIES =	multimedia
 COMMENT =	closed caption subtitles extractor
 HOMEPAGE = 	https://ccextractor.org
-V =		0.96.4
+V =		0.96.5
 DISTFILES =	ccextractor.${V:S/.//}-src.zip
 MASTER_SITES =	${MASTER_SITE_SOURCEFORGE:=ccextractor/}
 DISTNAME =	ccextractor-$V
