=== debian/changelog ===
ccextractor-dmo (1:0.96.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Jan 2026 01:46:36 +0100
