=== debian/control ===
--- 
+++ 
@@ -17,14 +17,3 @@
  .
  Use this to create .srt (subtitles) files for your TV captures,
  have transcripts so you can edit subtitles, etc.
-
-#Package: ccextractor-gui
-#Architecture: any
-#Depends: ccextractor (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, fonts-roboto-hinted
-#Description: fast closed captions extractor for MPEG and H264 files
-# Supports DVD, HDTV transport streams, Replay TV.
-# .
-# Use this to create .srt (subtitles) files for your TV captures,
-# have transcripts so you can edit subtitles, etc.
-# .
-# This package contains the graphic user interface.
