=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME=/tmp

%:
	dh $@ --with quilt --without dh_autoreconf -Dlinux

execute_before_dh_auto_build:
	cd linux && ./build -system-libs -hardsubx 

override_dh_clean:
	dh_clean linux/Makefile.in linux/aclocal.m4 linux/build-conf/compile \
	linux/build-conf/depcomp linux/build-conf/install-sh linux/build-conf/missing \
	linux/configure src/lib_ccx/compile_info.h linux/build-conf/config.guess \
	linux/build-conf/config.sub

override_dh_auto_configure:
