## ccextractor-dmo 0.96.6

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # Version number
 set (CCEXTRACTOR_VERSION_MAJOR 0)
-set (CCEXTRACTOR_VERSION_MINOR 89)
+set (CCEXTRACTOR_VERSION_MINOR 96)
 
 # Get project directory
 get_filename_component(BASE_PROJ_DIR ../ ABSOLUTE)
@@ -255,4 +255,13 @@
 target_link_libraries (ccextractor ${EXTRA_LIBS})
 target_include_directories (ccextractor PUBLIC ${EXTRA_INCLUDES})
 
+# ccx_rust (Rust) calls C functions from ccx (like decode_vbi).
+# Force the linker to pull these symbols from ccx before processing ccx_rust.
+if (NOT WIN32 AND NOT APPLE)
+  target_link_options (ccextractor PRIVATE
+    -Wl,--undefined=decode_vbi
+    -Wl,--undefined=do_cb
+    -Wl,--undefined=store_hdcc)
+endif()
+
 install (TARGETS ccextractor DESTINATION bin)
