=== debian/changelog ===
ccextractor-dmo (1:0.96.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Feb 2026 08:36:59 +0100

ccextractor-dmo (1:0.96.5-dmo2) unstable; urgency=medium

  * Build with libgpac16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Feb 2026 17:09:25 +0100
