=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,7 @@
 	linux/configure src/lib_ccx/compile_info.h linux/build-conf/config.guess \
 	linux/build-conf/config.sub
 
+override_dh_installchangelogs:
+	dh_installchangelogs docs/CHANGES.TXT
+
 override_dh_auto_configure:
